ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shamberger, Michael" <>
Subject RE: Javac, Jikes and java 1.1-1.3
Date Tue, 14 Nov 2000 21:14:43 GMT

The jikes compiler (I'm using 1.12) has a -depend option that deals with the
package dependencies similar to the way javac does.


-----Original Message-----
From: Jon Stevens []
Sent: Tuesday, November 14, 2000 1:09 PM
Subject: Re: Javac, Jikes and java 1.1-1.3

on 11/14/2000 9:05 AM, "Jason Boehle" <> wrote:

> For those of us that use JPDA debuggers, we are unable to use Jikes
> the JPDA libs don't like something about the code that Jikes generates.
> Food for thought.  BTW, javac with 1.3 is loads faster than the 1.2
> 1.3 javac really isn't all that slow...
> Jason Boehle

Also, Jikes won't compile Turbine the first time around because it sucks
with package dependencies. You have to first compile with javac and then
switch to Jikes.

I even reported it as a bug, but haven't heard any response.



--    |      | |       |

View raw message